<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/received_msg_layout"
    android:layout_width="fill_parent"
    android:layout_height="wrap_content"
    android:gravity="center_vertical|right"
    android:orientation="horizontal" >

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_weight="1"
        android:gravity="center_vertical|right"
        android:orientation="vertical" >

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="horizontal" >

            <TextView
                android:id="@+id/received_msg_time"
                style="@style/chat_text_date_style"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content" />

            <TextView
                android:id="@+id/received_nickename"
                style="@style/chat_text_name_style"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="10dp" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="horizontal" >

            <TextView
                android:id="@+id/received_msg_content"
                style="@style/chat_content_date_style"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:background="@drawable/chatto_bg" />

            <ImageView
                android:id="@+id/receiveuserhead"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:background="@drawable/img_select"
                android:focusable="false" />
        </LinearLayout>
    </LinearLayout>

</LinearLayout>